﻿/**Begin D:\work\PDM_UPGRADE2023\pdm1\HRBM_constraint.sql **/
 EXEC P_ALTERPK 'PK_HRBM_SCENECARDCONFIG_L', 'T_HRBM_SCENECARDCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_SCENECARDCONFIG_L' AND KSQL_INDNAME = 'IDX_HRBM_SCENECARDCONFIG_L') CREATE INDEX IDX_HRBM_SCENECARDCONFIG_L ON T_HRBM_SCENECARDCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_SCENECARDCONFIG', 'T_HRBM_SCENECARDCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_SCENECARDCONFIG' AND KSQL_INDNAME = 'IDX_HRBM_SCENECARDCONFIG') CREATE INDEX IDX_HRBM_SCENECARDCONFIG ON T_HRBM_SCENECARDCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_LINKSFUNCENTRY', 'T_HRBM_LINKSFUNCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_LINKSFUNCENTRY' AND KSQL_INDNAME = 'IDX_HRBM_LINKSFUNCENTRY') CREATE INDEX IDX_HRBM_LINKSFUNCENTRY ON T_HRBM_LINKSFUNCENTRY ( FID );


 EXEC P_ALTERPK 'PK_HRBM_LINKSFUNCENTRY_L', 'T_HRBM_LINKSFUNCENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_LINKSFUNCENTRY_L' AND KSQL_INDNAME = 'IDX_HRBM_LINKSFUNCENTRY_L') CREATE INDEX IDX_HRBM_LINKSFUNCENTRY_L ON T_HRBM_LINKSFUNCENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_LINKSRANGEENTRY', 'T_HRBM_LINKSRANGEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_LINKSRANGEENTRY' AND KSQL_INDNAME = 'IDX_HRBM_LINKSRANGEENTRY') CREATE INDEX IDX_HRBM_LINKSRANGEENTRY ON T_HRBM_LINKSRANGEENTRY ( FID );

 EXEC P_ALTERPK 'PK_HRBM_BASECONFIG', 'T_HRBM_BASECONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_BASECONFIG' AND KSQL_INDNAME = 'IDX_HRBM_BASECONFIG') CREATE INDEX IDX_HRBM_BASECONFIG ON T_HRBM_BASECONFIG ( FNUMBER );

 EXEC P_ALTERPK 'PK_HRBM_BASECONFIG_L', 'T_HRBM_BASECONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_BASECONFIG_L' AND KSQL_INDNAME = 'IDX_HRBM_BASECONFIG_L') CREATE INDEX IDX_HRBM_BASECONFIG_L ON T_HRBM_BASECONFIG_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_HRBM_BASECONFIG_L', 'T_HRBM_BASECONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_BASECONFIG_L' AND KSQL_INDNAME = 'IDX_HRBM_BASECONFIG_L') CREATE INDEX IDX_HRBM_BASECONFIG_L ON T_HRBM_BASECONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_BASECONFIG', 'T_HRBM_BASECONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_BASECONFIG' AND KSQL_INDNAME = 'IDX_HRBM_BASECONFIG') CREATE INDEX IDX_HRBM_BASECONFIG ON T_HRBM_BASECONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_NUMBERMAXINDEX', 'T_HRBM_NUMBERMAXINDEX', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_NUMBERMAXINDEX' AND KSQL_INDNAME = 'IDX_HRBM_NUMBERMAXINDEX') CREATE INDEX IDX_HRBM_NUMBERMAXINDEX ON T_HRBM_NUMBERMAXINDEX ( FAPPNUMBER );

 EXEC P_ALTERPK 'PK_HRBM_ENTITYRELCARD', 'T_HRBM_ENTITYRELCARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_ENTITYRELCARD' AND KSQL_INDNAME = 'IDX_HRBM_ENTITYRELCARD') CREATE INDEX IDX_HRBM_ENTITYRELCARD ON T_HRBM_ENTITYRELCARD ( FLOGICENTITYID );

  EXEC P_ALTERPK 'PK_HRBM_PERSONINFOCONFIG', 'T_HRBM_PERSONINFOCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRBM_PERSONINFOCONFIG_OBJ') CREATE INDEX IDX_HRBM_PERSONINFOCONFIG_OBJ ON T_HRBM_PERSONINFOCONFIG ( FENTITYOBJID );


 EXEC P_ALTERPK 'PK_HRBM_PERSONINFOCONFIG_L', 'T_HRBM_PERSONINFOCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRBM_PERSONINFOCONFIG_L') CREATE INDEX IDX_HRBM_PERSONINFOCONFIG_L ON T_HRBM_PERSONINFOCONFIG_L ( FLOCALEID ,FID );




EXEC p_DropIdx 'IDX_HRBM_PERSONINFOCONFIG_L', 'T_HRBM_PERSONINFOCONFIG_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRBM_PERSONINFOCONFIG_L') CREATE INDEX IDX_HRBM_PERSONINFOCONFIG_L ON T_HRBM_PERSONINFOCONFIG_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_HRBM_WTCFORMULACONFIG_L', 'T_HRBM_WTCFORMULACONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRBM_WTCFORMULACONFIG_L') CREATE INDEX IDX_HRBM_WTCFORMULACONFIG_L ON T_HRBM_WTCFORMULACONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_WTCFMLGROUP', 'T_HRBM_WTCFMLGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_HRBM_WTCFMLGROUP') CREATE INDEX IDX_T_HRBM_WTCFMLGROUP ON T_HRBM_WTCFMLGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_WTCFMLGROUP_L', 'T_HRBM_WTCFMLGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRBM_WTCFMLGROUP_L') CREATE INDEX IDX_HRBM_WTCFMLGROUP_L ON T_HRBM_WTCFMLGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_WTCFMLRULE', 'T_HRBM_WTCFMLRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_HRBM_WTCFMLRULE') CREATE INDEX IDX_T_HRBM_WTCFMLRULE ON T_HRBM_WTCFMLRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_WTCFMLRULE_L', 'T_HRBM_WTCFMLRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRBM_WTCFMLRULE_L') CREATE INDEX IDX_HRBM_WTCFMLRULE_L ON T_HRBM_WTCFMLRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_WTCFORMULACONFIG', 'T_HRBM_WTCFORMULACONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_HRBM_WTCFORMULACONFIG') CREATE INDEX IDX_T_HRBM_WTCFORMULACONFIG ON T_HRBM_WTCFORMULACONFIG ( FNUMBER );



/**End D:\work\PDM_UPGRADE2023\pdm1\HRBM_constraint.sql **/
